# Datamaps

This module integrates [Datamaps](http://datamaps.github.io/) library into Drupal.

## Usage

The module provides a render element `datamap` once set will include the proper libraries and instantiate the map.

```PHP
$element['datamap'] = [
  '#type' => 'datamap',
  '#datamaps' => [
    'variant' => 'usa',
    'options' => [
      'height' => '300px',
      'width' => '300px',
    ],
  ],
];
```

Currently only `world` and `usa` variants are supported. The `world` variant comes with high-resolution maps.

## Library support

Since [this](https://github.com/drupal-composer/drupal-project/issues/278) currently is not possible to declare
libraries as dependencies, thus dependencies are declared using CDN (default) but are included also as local copies.

## Version support

| Library  | Version |
| -------- | ------- |
| D3       | 3.5.3   |
| TopoJSON | 1.6.9   |
| Datamaps | 0.5.9   |
