const {dest, src} = require('gulp');
const rename = require('gulp-rename');
const minify = require('gulp-minify');
const babel = require('gulp-babel');

function compile() {
  return src('assets/js/*.es6.js', {sourcemaps: true})
    .pipe(babel())
    .pipe(rename((path) => {
      path.basename = path.basename.replace('.es6', '');
    }))
    .pipe(dest('assets/js/', {sourcemaps: true}))
    .pipe(minify({
      ext: {
        min: '.min.js'
      },
      ignoreFiles: ['-min.js']
    }))
    .pipe(dest('assets/js/', {sourcemaps: true}));
}

exports.default = compile;
